package de.unikoblenz.fgbas.bs.bpm.iot.service;

import java.util.HashMap;
import java.util.Map;

public class RfidProductService {

  private static Map<String, String> rifdProductMap = new HashMap<>();

  static {
    rifdProductMap.put("12345678", "Pizza");
    rifdProductMap.put("87654321", "Döner");
    rifdProductMap.put("12121212", "Spaghetti");
    rifdProductMap.put("7722629150", "Schnitzel");
    rifdProductMap.put("2131687117", "Leberkäse");
  }

  private RfidProductService() {
    // Nothing
  }

  public static String getProductByRfidTag(String tagId) {
    return rifdProductMap.getOrDefault(tagId, "No product found");
  }
}
